This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 823171 - Review Request: erlang-eleveldb - Erlang LevelDB API
Review Request: erlang-eleveldb - Erlang LevelDB API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On: 639263 823170
Blocks: 652629
  Show dependency treegraph
 
Reported: 2012-05-19 14:08 EDT by Peter Lemenkov
Modified: 2012-08-09 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 02:01:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-05-19 14:08:13 EDT
Spec URL: http://peter.fedorapeople.org/erlang-eleveldb.spec
SRPM URL: http://peter.fedorapeople.org/erlang-eleveldb-1.1.0-1.fc18.src.rpm
Description: Erlang LevelDB API.

NotReady since it requires leveldb which isn't available yet.
Comment 1 Peter Lemenkov 2012-07-16 03:40:51 EDT
Unblocking NotReady - all build-deps are now in Rawhide.

Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4242883
Comment 2 Brendan Jones 2012-07-16 16:50:39 EDT
I will take this review.
Comment 3 Brendan Jones 2012-07-17 10:43:05 EDT
This is looking good, just one rpmlint error of concern?

erlang-eleveldb.src: W: invalid-url Source0: basho-eleveldb-1.1.0-0-g7790751.tar.gz
erlang-eleveldb.x86_64: E: explicit-lib-dependency erlang-stdlib
erlang-eleveldb.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/eleveldb-1.1.0/priv/eleveldb.so   <<===
erlang-eleveldb.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

I also noticed you had the tests commented out - they all passed here however.
Comment 4 Peter Lemenkov 2012-07-18 02:38:42 EDT
(In reply to comment #3)
> This is looking good, just one rpmlint error of concern?
> 
> erlang-eleveldb.src: W: invalid-url Source0:
> basho-eleveldb-1.1.0-0-g7790751.tar.gz
> erlang-eleveldb.x86_64: E: explicit-lib-dependency erlang-stdlib
> erlang-eleveldb.x86_64: W: unstripped-binary-or-object
> /usr/lib64/erlang/lib/eleveldb-1.1.0/priv/eleveldb.so   <<===

I think there is something wrong with your configuration. Maybe you didn't installed something which is required for debuginfo generation. Try builds from Koji (see link above) - for example I don't see this issue with this build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4242884

> I also noticed you had the tests commented out - they all passed here
> however.

Thanks for spotting this. This is a leftover from my experiments on a secondary arches.

New package:

* http://peter.fedorapeople.org/erlang-eleveldb.spec
* http://peter.fedorapeople.org/erlang-eleveldb-1.1.0-2.fc18.src.rpm

Changelog:

* EL5-related stuff removed
* Enable tests

Koji build for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4247618

Note - I intentionally didn't package recently released 1.2.0 since they patched bundled library and I need time to properly build it against system-wide leveldb.
Comment 5 Brendan Jones 2012-07-19 08:31:09 EDT
This package is APPROVED. Remove EPEL macros/tags if not required,

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[ ]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):erlang-
     eleveldb-1.1.0-1.fc18.x86_64.rpm :
     /usr/lib64/erlang/lib/eleveldb-1.1.0/priv/eleveldb.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)" For detailed output of licensecheck see file:
     /home/bsjones/rpmbuild/SRPMS/erlang-eleveldb/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (basho-eleveldb-1.1.0-0-g7790751.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Rpmlint
-------
Checking: erlang-eleveldb-1.1.0-1.fc18.src.rpm
          erlang-eleveldb-1.1.0-1.fc18.x86_64.rpm
erlang-eleveldb.src: W: invalid-url Source0: basho-eleveldb-1.1.0-0-g7790751.tar.gz
erlang-eleveldb.x86_64: E: explicit-lib-dependency erlang-stdlib
erlang-eleveldb.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/eleveldb-1.1.0/priv/eleveldb.so
erlang-eleveldb.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
erlang-eleveldb-1.1.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    erlang-erts >= R14B
    erlang-kernel  
    erlang-stdlib  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libleveldb.so.1()(64bit)  
    libsnappy.so.1()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  

Provides
--------
erlang-eleveldb-1.1.0-1.fc18.x86_64.rpm:
    
    eleveldb.so()(64bit)  
    erlang-eleveldb = 1.1.0-1.fc18
    erlang-eleveldb(x86-64) = 1.1.0-1.fc18

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n erlang-eleveldb
External plugins:
Comment 6 Peter Lemenkov 2012-07-19 08:33:48 EDT
Thanks!

New Package SCM Request
=======================
Package Name: erlang-eleveldb
Short Description: Erlang LevelDB API
Owners: peter
Branches: f17 el6
InitialCC:
Comment 7 Jon Ciesla 2012-07-19 08:40:34 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-29 03:13:38 EDT
erlang-eleveldb-1.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-eleveldb-1.1.0-2.fc17
Comment 9 Fedora Update System 2012-08-09 19:32:20 EDT
erlang-eleveldb-1.1.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.